{% extends "users/userspace.html" %}

{% block scripts %}
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet">
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>


<script>
    $(document).ready(function() {
        $('.select2').select2();
        $.ajax({
            url: '/account/get_all_users',
            success: function(data) {
                data.unshift({ id: '', text: 'Tous les utilisateurs' });
                $('.select2').select2({
                    data: data
                });
            }
        });
    });
</script>
{% endblock %}

{% block content %}
    <div class="container mt-5">

        <h1>Liste des utilisateurs</h1>

        <form method="get" action="" class="d-flex align-items-center flex-row flex-wrap my-3">
            <label class="me-3 my-2" for="user_email_input">Rechercher un utilisateur : </label>
            <select class="form-control select2 my-2" id="user_id_input" name="search" style="width: 35em;"></select>
            <label class="ms-3 me-2 my-2" for="active_select">Inclure les utilisateurs désactivés : </label>
            <input type="checkbox" class="form-check-input" id="active_select" name="active" {% if request.GET.active %}checked{% endif %}>
            <button class="ms-3 btn btn-secondary my-2" type="submit"><i class="fas fa-eye me-2"></i>Afficher</button>
        </form>

        <div class="table-responsive">
            <table class="table table-striped table-hover align-middle">
                <thead>
                <tr>
                    <th class="pe-1">
                        Nom
                    </th>
                    <th class="pe-1">
                        Prénom
                    </th>
                    <th class="pe-1">
                        Adresse mail
                    </th>
                    <th class="pe-1">
                        Statut
                    </th>
                    <th class="pe-1">
                        Adhérent
                    </th>
                    <th class="pe-1">
                        Détails
                    </th>
                </tr>
                </thead>
                <tbody>
                {% for user in users %}
                <tr>
                    <td class="pe-1 fw-bold">
                        {{ user.last_name|upper }}
                    </td>
                    <td class="pe-1">
                        {{ user.first_name }}
                    </td>
                    <td class="pe-1">
                        {{ user.email }}
                    </td>
                    <td class="pe-1">
                        {% if user.statut == 2 %}
                        <span class="badge bg-success">Paysan</span>
                        {% elif user.statut == 3 %}
                        <span class="badge bg-warning">Gestionnaire</span>
                        {% elif user.statut == 4 %}
                        <span class="badge bg-danger">Non confirmé</span>
                        {% else %}
                        <span class="badge bg-primary">Utilisateur</span>
                        {% endif %}
                    </td>
                    <td class="pe-1">
                        {%if user.adherent %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
                    </td>
                    <td class="pe-1">
                        <a type="button" class="btn btn-link" href="{% url 'user_details_admin' user.id %}">
                            <i class="fas fa-info-circle me-1"></i>Détails
                        </a>
                    </td>
                </tr>
            {% endfor %}
            {% if users|length == 0 %}
            <tr>
                <td colspan="7" class="text-center">
                Aucun résultat
                </td>
            </tr>
            {% endif %}
                </tbody>
            </table>
        </div>

    {% pagination_widget users request %}
    </div>
{% endblock %}
